org.apache.myfaces.trinidad.component

## Class UIXGroup

- java.lang.Object
- - javax.faces.component.UIComponent
  - - org.apache.myfaces.trinidad.component.UIXComponent
    - - org.apache.myfaces.trinidad.component.UIXComponentBase
      - - org.apache.myfaces.trinidad.component.UIXGroup

- All Implemented Interfaces:
    EventListener, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder, FlattenedComponent

      public class UIXGroup
      extends UIXComponentBase
      implements FlattenedComponent

  The group component is an invisible control that aggregates semantically-related children; the group itself has no associated client representation (visual or API). Some parent components may have special representation for groups like adding separators around the group but this is a special case and is not always rendered this way. In most cases, only the children of the group will be rendered directly to the page. There will be no layout applied to the children so the natural layout behavior of the underlying HTML elements will apply. If you require a more predictable layout, you should use a layout component such as panelGroupLayout.

  #### Events:

  Type | Phases | Description
  --- | --- | ---
  `org.apache.myfaces.trinidad.event.AttributeChangeEvent` | Invoke Application Apply Request Values | Event delivered to describe an attribute change. Attribute change events are not delivered for any programmatic change to a property. They are only delivered when a renderer changes a property without the application's specific request. An example of an attribute change event might include the width of a column that supported client-side resizing.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.myfaces.trinidad.component.UIXComponentBase

      `UIXComponentBase.ComponentSystemEventListenerWrapper`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `COMPONENT_FAMILY`
    `static String` | `COMPONENT_TYPE`
    `static String` | `END_BOUNDARY_DONT_CARE`
    `static String` | `END_BOUNDARY_HIDE`
    `static PropertyKey` | `END_BOUNDARY_KEY`
    `static String` | `END_BOUNDARY_SHOW`
    `static String` | `START_BOUNDARY_DONT_CARE`
    `static String` | `START_BOUNDARY_HIDE`
    `static PropertyKey` | `START_BOUNDARY_KEY`
    `static String` | `START_BOUNDARY_SHOW`
    `static PropertyKey` | `TITLE_KEY`
    `static FacesBean.Type` | `TYPE`

    - ### Fields inherited from class org.apache.myfaces.trinidad.component.UIXComponentBase

      `BINDING_KEY, ID_KEY, RENDERED_KEY, RENDERER_TYPE_KEY, TRANSIENT_KEY`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `UIXGroup()` Construct an instance of the UIXGroup.
    `protected` | `UIXGroup(String rendererType)` Construct an instance of the UIXGroup.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `encodeChildren(javax.faces.context.FacesContext context)` Renders the children in their raw form.
    `protected FacesBean.Type` | `getBeanType()`
    `String` | `getEndBoundary()` Gets indicates if a visual group end boundary is desired.
    `String` | `getFamily()`
    `boolean` | `getRendersChildren()` Overridden to return true.
    `String` | `getStartBoundary()` Gets indicates if a visual group start boundary is desired.
    `String` | `getTitle()` Gets a title value for the group.
    `boolean` | `isFlatteningChildren(javax.faces.context.FacesContext context)` Returns `true` if this FlattenedComponent is currently flattening its children
    `<S> boolean` | `processFlattenedChildren(javax.faces.context.FacesContext context, ComponentProcessingContext cpContext, ComponentProcessor<S> childProcessor, S callBackContext)` Sets up the grouping context and processes all of the UIXGroup's children
    `void` | `setEndBoundary(String endBoundary)` Sets indicates if a visual group end boundary is desired.
    `void` | `setStartBoundary(String startBoundary)` Sets indicates if a visual group start boundary is desired.
    `void` | `setTitle(String title)` Sets a title value for the group.

    - ### Methods inherited from class org.apache.myfaces.trinidad.component.UIXComponentBase

      `adaptMethodBinding, addAttributeChange, addAttributeChangeListener, addClientBehavior, addComponentChange, addComponentChange, addComponentChangeFilter, addFacesListener, broadcast, broadcastToMethodBinding, broadcastToMethodExpression, clearCachedClientIds, clearInitialState, createFacesBean, decode, decodeChildren, decodeChildrenImpl, encodeBegin, encodeEnd, findComponent, getAttributeChangeListener, getAttributeChangeListeners, getAttributes, getBooleanProperty, getChildCount, getChildren, getClientBehaviors, getClientId, getComponentChangeFilters, getContainerClientId, getDefaultEventName, getFacesBean, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacetNames, getFacets, getFacetsAndChildren, getId, getIntProperty, getLifecycleRenderer, getListenersForEventClass, getParent, getProperty, getPropertyKey, getRenderedFacetsAndChildren, getRenderer, getRendererType, getValueBinding, getValueExpression, initialStateMarked, invokeOnChildrenComponents, invokeOnComponent, invokeOnNamingContainerComponent, isRendered, isTransient, markInitialState, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeAttributeChangeListener, removeComponentChangeFilter, removeFacesListener, restoreState, satisfiesPartialTrigger, saveState, setAttributeChangeListener, setAttributeChangeListener, setBooleanProperty, setId, setIntProperty, setParent, setProperty, setRendered, setRendererType, setTransient, setupFlattenedChildrenContext, setupFlattenedContext, setValueBinding, setValueExpression, subscribeToEvent, tearDownFlattenedChildrenContext, tearDownFlattenedContext, toString, unsubscribeFromEvent, updateChildren, updateChildrenImpl, validateChildren, validateChildrenImpl`

    - ### Methods inherited from class org.apache.myfaces.trinidad.component.UIXComponent

      `addPartialTarget, broadcastInContext, clearCachedClientIds, defaultGetRenderedFacetsAndChildren, encodeFlattenedChild, encodeFlattenedChildren, getLogicalParent, getLogicalParent, getStateHelper, getStateHelper, isVisitable, partialEncodeVisit, processFlattenedChildren, processFlattenedChildren, processFlattenedChildren, processFlattenedChildren, setPartialTarget, setupChildrenEncodingContext, setupChildrenVisitingContext, setupEncodingContext, setUpEncodingContext, setupVisitingContext, tearDownChildrenEncodingContext, tearDownChildrenVisitingContext, tearDownEncodingContext, tearDownVisitingContext, visitAllChildren, visitChildren, visitChildren, visitTree, visitTree`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getTransientStateHelper, getTransientStateHelper, isCompositeComponent, isInView, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### START_BOUNDARY_SHOW

          public static final String START_BOUNDARY_SHOW

      See Also:
        Constant Field Values

    - #### START_BOUNDARY_HIDE

          public static final String START_BOUNDARY_HIDE

      See Also:
        Constant Field Values

    - #### START_BOUNDARY_DONT_CARE

          public static final String START_BOUNDARY_DONT_CARE

      See Also:
        Constant Field Values

    - #### END_BOUNDARY_SHOW

          public static final String END_BOUNDARY_SHOW

      See Also:
        Constant Field Values

    - #### END_BOUNDARY_HIDE

          public static final String END_BOUNDARY_HIDE

      See Also:
        Constant Field Values

    - #### END_BOUNDARY_DONT_CARE

          public static final String END_BOUNDARY_DONT_CARE

      See Also:
        Constant Field Values

    - #### TYPE

          public static final FacesBean.Type TYPE

    - #### START_BOUNDARY_KEY

          public static final PropertyKey START_BOUNDARY_KEY

    - #### END_BOUNDARY_KEY

          public static final PropertyKey END_BOUNDARY_KEY

    - #### TITLE_KEY

          public static final PropertyKey TITLE_KEY

    - #### COMPONENT_FAMILY

          public static final String COMPONENT_FAMILY

      See Also:
        Constant Field Values

    - #### COMPONENT_TYPE

          public static final String COMPONENT_TYPE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### UIXGroup

          public UIXGroup()

      Construct an instance of the UIXGroup.

    - #### UIXGroup

          protected UIXGroup(String rendererType)

      Construct an instance of the UIXGroup.

  - ### Method Detail

    - #### getRendersChildren

          public boolean getRendersChildren()

      Overridden to return true.
      Overrides:
        `getRendersChildren` in class `UIXComponentBase`
      Returns:
        true because the children are rendered by this component

    - #### processFlattenedChildren

          public <S> boolean processFlattenedChildren(javax.faces.context.FacesContext context,
                                             ComponentProcessingContext cpContext,
                                             ComponentProcessor<S> childProcessor,
                                             S callBackContext)
                                           throws IOException

      Sets up the grouping context and processes all of the UIXGroup's children
      Specified by:
        `processFlattenedChildren` in interface `FlattenedComponent`
      Parameters:
        `context` - Current FacesContext
        `cpContext` - ComponentProcesingContext represetning the current child iteration state
        `childProcessor` - ComponentProcessor to call for each flattened child
        `callBackContext` - childProcessor-specific context to be passed on each call to the childProcessor
      Returns:
        `true` if this FlattenedComponent actually processed any children
      Throws:
        `IOException` - if an error occurs while processing children
      See Also:
        `UIXComponent.processFlattenedChildren(FacesContext, ComponentProcessingContext, ComponentProcessor, UIComponent, Object)`, `UIXComponent.processFlattenedChildren(FacesContext, ComponentProcessingContext, ComponentProcessor, Iterable, Object)`, `FlattenedComponent.isFlatteningChildren(javax.faces.context.FacesContext)`

    - #### isFlatteningChildren

          public boolean isFlatteningChildren(javax.faces.context.FacesContext context)

      Returns `true` if this FlattenedComponent is currently flattening its children
      Specified by:
        `isFlatteningChildren` in interface `FlattenedComponent`
      Parameters:
        `context` - FacesContext
      Returns:
        `true` if this FlattenedComponent is currently flattening its children
      See Also:
        `FlattenedComponent.processFlattenedChildren(javax.faces.context.FacesContext, org.apache.myfaces.trinidad.component.ComponentProcessingContext, org.apache.myfaces.trinidad.component.ComponentProcessor<S>, S)`

    - #### encodeChildren

          public void encodeChildren(javax.faces.context.FacesContext context)
                              throws IOException

      Renders the children in their raw form. There is no Renderer for this component because it has no visual representation or any sort of layout for its children.
      Overrides:
        `encodeChildren` in class `UIXComponentBase`
      Parameters:
        `context` - the FacesContext
      Throws:
        `IOException` - if there is an error encoding the children

    - #### getStartBoundary

          public final String getStartBoundary()

      Gets
      indicates if a visual group start boundary is desired. The default value of 'dontCare' indicates no preference. A value of 'show' indicates a preference to show a start boundary. A value of 'hide' indicates a preference to not show a start boundary. Regardless of the start boundary value, whether a visual boundary will be displayed is up to the group's parent component.
      Returns:
        the new startBoundary value

    - #### setStartBoundary

          public final void setStartBoundary(String startBoundary)

      Sets
      indicates if a visual group start boundary is desired. The default value of 'dontCare' indicates no preference. A value of 'show' indicates a preference to show a start boundary. A value of 'hide' indicates a preference to not show a start boundary. Regardless of the start boundary value, whether a visual boundary will be displayed is up to the group's parent component.
      Parameters:
        `startBoundary` - the new startBoundary value

    - #### getEndBoundary

          public final String getEndBoundary()

      Gets
      indicates if a visual group end boundary is desired. The default value of 'dontCare' indicates no preference. A value of 'show' indicates a preference to show an end boundary. A value of 'hide' indicates a preference to not show an end boundary. Regardless of the end boundary value, whether a visual boundary will be displayed is up to the group's parent component.
      Returns:
        the new endBoundary value

    - #### setEndBoundary

          public final void setEndBoundary(String endBoundary)

      Sets
      indicates if a visual group end boundary is desired. The default value of 'dontCare' indicates no preference. A value of 'show' indicates a preference to show an end boundary. A value of 'hide' indicates a preference to not show an end boundary. Regardless of the end boundary value, whether a visual boundary will be displayed is up to the group's parent component.
      Parameters:
        `endBoundary` - the new endBoundary value

    - #### getTitle

          public final String getTitle()

      Gets
      a title value for the group. Whether anything is done with this title value is up to the group's parent component.
      Returns:
        the new title value

    - #### setTitle

          public final void setTitle(String title)

      Sets
      a title value for the group. Whether anything is done with this title value is up to the group's parent component.
      Parameters:
        `title` - the new title value

    - #### getFamily

          public String getFamily()

      Specified by:
        `getFamily` in class `UIXComponentBase`

    - #### getBeanType

          protected FacesBean.Type getBeanType()

      Overrides:
        `getBeanType` in class `UIXComponentBase`

Copyright © 2001-2017 The Apache Software Foundation. All Rights Reserved.